public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: kernel/selinux-testsuite: fix module_load check
@ 2026-09-11 13:17 Ondrej Mosnacek
  0 siblings, 0 replies; only message in thread
From: Ondrej Mosnacek @ 2026-09-11 13:17 UTC (permalink / raw)
  To: git-commits

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : 26fd2feb94db67e2b2abdeff233a3cd20fe0cbd9
            Author : Ondrej Mosnacek <omosnace@redhat.com>
            Date   : 2020-03-03T12:36:22+01:00
            Stats  : +1/-1 in 1 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/26fd2feb94db67e2b2abdeff233a3cd20fe0cbd9?branch=pr775-checkpolicy-revdeps

            Log:
            kernel/selinux-testsuite: fix module_load check

The "conmakehash" program is not shipped on recent Fedora kernels (and
who knows where else). Switch to "unifdef", which seems to be everywhere
(and always an ELF executable).

Signed-off-by: Ondrej Mosnacek <omosnace@redhat.com>

---
diff --git a/kernel/selinux-testsuite/runtest.sh b/kernel/selinux-testsuite/runtest.sh
index 730529e..bc843c8 100755
--- a/kernel/selinux-testsuite/runtest.sh
+++ b/kernel/selinux-testsuite/runtest.sh
@@ -354,7 +354,7 @@ rlJournalStart
             # CKI mainline kernels don't ship with module build infrastructure
             # just yet. Also, RHEL-8 CKI kernel-devel programs are
             # cross-compiled badly for alt arches, so try executing one of them.
-            if ! "/lib/modules/$(uname -r)/build/scripts/conmakehash" /dev/null &>/dev/null; then
+            if ! "/lib/modules/$(uname -r)/build/scripts/unifdef" /dev/null &>/dev/null; then
                 exclude_tests+=" module_load"
             fi
 

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-09-11 13:17 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:17 [tests/selinux] pr775-checkpolicy-revdeps: kernel/selinux-testsuite: fix module_load check Ondrej Mosnacek

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox